From 2049247dde2c675c704ed971fd1d67a2db937bf6 Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddyforpostgres@gmail.com>
Date: Thu, 16 Nov 2023 13:40:56 +0000
Subject: [PATCH v1] Do away with a few backwards compatibility macros

---
 src/include/executor/spi.h     | 7 -------
 src/include/utils/tuplestore.h | 3 ---
 2 files changed, 10 deletions(-)

diff --git a/src/include/executor/spi.h b/src/include/executor/spi.h
index d1de139a3b..d5f04d7275 100644
--- a/src/include/executor/spi.h
+++ b/src/include/executor/spi.h
@@ -100,13 +100,6 @@ typedef struct _SPI_plan *SPIPlanPtr;
 
 #define SPI_OPT_NONATOMIC		(1 << 0)
 
-/* These used to be functions, now just no-ops for backwards compatibility */
-#define SPI_push()	((void) 0)
-#define SPI_pop()	((void) 0)
-#define SPI_push_conditional()	false
-#define SPI_pop_conditional(pushed) ((void) 0)
-#define SPI_restore_connection()	((void) 0)
-
 extern PGDLLIMPORT uint64 SPI_processed;
 extern PGDLLIMPORT SPITupleTable *SPI_tuptable;
 extern PGDLLIMPORT int SPI_result;
diff --git a/src/include/utils/tuplestore.h b/src/include/utils/tuplestore.h
index 1077c5fdea..d4fbcbd96c 100644
--- a/src/include/utils/tuplestore.h
+++ b/src/include/utils/tuplestore.h
@@ -56,9 +56,6 @@ extern void tuplestore_puttuple(Tuplestorestate *state, HeapTuple tuple);
 extern void tuplestore_putvalues(Tuplestorestate *state, TupleDesc tdesc,
 								 const Datum *values, const bool *isnull);
 
-/* Backwards compatibility macro */
-#define tuplestore_donestoring(state)	((void) 0)
-
 extern int	tuplestore_alloc_read_pointer(Tuplestorestate *state, int eflags);
 
 extern void tuplestore_select_read_pointer(Tuplestorestate *state, int ptr);
-- 
2.34.1

